### Method

# GtkSource Buffer iter_forward_to_context_class_toggle

#### Declaration [src]

    gboolean
    gtk_source_buffer_iter_forward_to_context_class_toggle (
      GtkSourceBuffer* buffer,
      GtkTextIter* iter,
      const gchar* context_class
    )

#### Description [src]

Moves forward to the next toggle (on or off) of the context class.

If no matching context class toggles are found, returns `FALSE`, otherwise `TRUE`. Does not return toggles located at `iter`, only toggles after `iter`. Sets `iter` to the location of the toggle, or to the end of the buffer if no toggle is found.

See the `GtkSourceBuffer` description for the list of default context classes.

#### Parameters

`iter`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`context_class`

  Type: `const gchar*`

  The context class.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether we found a context class toggle after `iter`.